## org.apache.myfaces.custom.suggest
Class InputSuggestRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.custom.suggest.InputSuggestRenderer

public class InputSuggestRenderer
extends javax.faces.render.Renderer

Basic HTML Renderer for the inputSuggest component.

Version:
  $Revision: $ $Date: $
Author:
  Sean Schofield, Matt Blum

Constructor Summary
`InputSuggestRenderer()`

Method Summary
`void` `decode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`void` `encodeBegin(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`boolean` `getRendersChildren()`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, encodeChildren, encodeEnd, getConvertedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InputSuggestRenderer

    public InputSuggestRenderer()

Method Detail

### getRendersChildren

    public boolean getRendersChildren()

### decode

    public void decode(javax.faces.context.FacesContext context,
                       javax.faces.component.UIComponent component)

### encodeBegin

    public void encodeBegin(javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`